%define version 1.8
Name:				p0f
Summary:			passive OS fingerprinting tool
Version:			%{version}
Release:			0
Copyright:			GPL
Packager:			William Stearns <wstearns@pobox.com>
Group:				Applications/Networking
Source:				http://www.stearns.org/p0f/p0f-%{version}.tgz
#Source1:			p0f.init
Prereq:				/sbin/chkconfig
Vendor:				Michal Zalewski <lcamtuf@tpi.pl>
URL:				http://www.stearns.org/p0f/
BuildRoot:			/tmp/p0f-broot


%description
p0f performs passive OS fingerprinting technique bases on information coming
from remote host when it establishes connection to our system. Captured
packets contains enough information to determine OS - and, unlike
active scanners (nmap, queSO) - without sending anything to this host.


%changelog
* Sat Nov 17 2001 William Stearns <wstearns@pobox.com>
- Updated to 1.8 test sources


* Wed Aug 13 2000 William Stearns <wstearns@pobox.com>
- first rpm from 1.7 sources.
- addition of a SysV init file


%prep
%setup


%build
make all


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/p0f-broot" ]; then
    rm -rf $RPM_BUILD_ROOT

	install -d $RPM_BUILD_ROOT/etc
	install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
	install -d $RPM_BUILD_ROOT/usr/sbin
	cp -p p0f.fp $RPM_BUILD_ROOT/etc
	cp -p p0f $RPM_BUILD_ROOT/usr/sbin
	cp -p p0f.init $RPM_BUILD_ROOT/etc/rc.d/init.d/p0f
else
	echo Invalid Build root
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/p0f-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi


%files
%defattr(-,root,root)
					%doc	README COPYING
%attr(644,root,root)				/etc/p0f.fp
%attr(755,root,root)				/etc/rc.d/init.d/p0f
%attr(755,root,root)				/usr/sbin/p0f


%post
if [ ! -f /var/log/p0f ]; then
	touch /var/log/p0f
	chown root.root /var/log/p0f
	chmod 600 /var/log/p0f
fi
if [ "$1" = "1" ]; then         #This package is being installed for the first time
	/sbin/chkconfig --add p0f
fi


%postun
if [ "$1" = "0" ]; then		#This is being completely erased, not upgraded
	/sbin/chkconfig --del p0f
fi
